Skip to main content
`Ctrl`+`K`

# VecNestGetSubVecsRead

Access the subvecs of a `VECNEST` vector for read-only access

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecNestGetSubVecsRead(Vec X, PetscInt *N, Vec *sx[])

Logically collective

## Input Parameter

- X - nest vector

## Output Parameters

- N - number of nested vecs

- sx - array of read-locked vectors

## Notes

Each of the subvecs will be read locked (`VecLockReadPush()`), which is a logically collective operation. When access is complete, you must call `VecNestRestoreSubVecsRead()` to release the locks.

## Developer Note

This function does not increase the state of `X` (`PetscObjectStateIncrease()`).

## See Also

`VECNEST`, Vectors and Parallel Data, `Vec`, `VecType`, `VecNestGetSize()`, `VecNestGetSubVec()`, `VecNestRestoreSubVecsRead()`

## Level

advanced

## Location

src/vec/vec/impls/nest/vecnest.c

## Implementations

VecNestGetSubVecsRead_Nest() in src/vec/vec/impls/nest/vecnest.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages